Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#591 closed enhancement (fixed)

switching libfs to c99 types

Reported by: Ralf Corsepius Owned by: Jennifer Averett
Priority: normal Milestone: 2
Component: fs Version: 4.7
Severity: minor Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Unless somebody objects, I am going to gradually convert parts of RTEMS-4.7 to using c99 types instead of rtems-fixed size types, starting with libfs.

NOTE: This means to silently change the API. These changes should be transparent to c-users, however this can introduce problems to C++ users.

Release:
RTEMS-4.7

Attachments (1)

diff (68.8 KB) - added by Ralf Corsepius on 12/03/06 at 13:31:12.
diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 03/22/04 at 16:11:56 by Ralf Corsepius

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: patch applied.

Changed on 12/03/06 at 13:31:12 by Ralf Corsepius

Attachment: diff added

diff

Note: See TracTickets for help on using tickets.